Installing VMware viclient 5.1.0 on Windows 10

With the release of Ubuntu 16.04 it was time to do some maintenance on my home ESXi server.  This server is a small variation of the Baby Dragon II and is so low maintenance that I even forgot what version of ESXi it was running.

But, I did remember that you could actually download the Vsphere client from the home page from the ESXi server.

VMware ESXi 5.1

Turns out I was running ESXi 5.1.0 and the installer did not work on Windows 10.

The installer looked like it was working but after extracting the MSI it would disappear. After some probing I found out that there was an issue with installing the following frameworks:

  • Microsoft .NET Framework 3.5
  • Microsoft Visual J# 2.0 x64

As a workaround I used 7zip and extracted the installer.

In the .Net folder you can run the dotnetfx35.exe but Windows 10 will tell you that an older version of .Net is required byScreenshot 2016-04-25 22.36.12 a program and will install it for you.

Next, install the Visual J redistributable and you are ready to run the installer in the bin folder.

Now it is time to start upgrading my Ubuntu 12.04 instances to Ubuntu 16.04 and maybe even replace the Solaris Open Indiana ZFS with the Ubuntu 16.04 ZFS.

Leave a Reply